Package com.sun.jna.platform.win32

# Enum Class HighLevelMonitorConfigurationAPI.MC_POSITION_TYPE

java.lang.Object
java.lang.Enum<HighLevelMonitorConfigurationAPI.MC_POSITION_TYPE>
com.sun.jna.platform.win32.HighLevelMonitorConfigurationAPI.MC_POSITION_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<HighLevelMonitorConfigurationAPI.MC_POSITION_TYPE>`, `Constable`

Enclosing interface:
  HighLevelMonitorConfigurationAPI

public static enum HighLevelMonitorConfigurationAPI.MC_POSITION_TYPE extends Enum<HighLevelMonitorConfigurationAPI.MC_POSITION_TYPE>
Specifies whether to get or set the vertical or horizontal position of a monitor's display area.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MC_HORIZONTAL_POSITION`
  Horizontal position
  `MC_VERTICAL_POSITION`
  Vertical position

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HighLevelMonitorConfigurationAPI.MC_POSITION_TYPE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HighLevelMonitorConfigurationAPI.MC_POSITION_TYPE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MC_HORIZONTAL_POSITION

    public static final HighLevelMonitorConfigurationAPI.MC_POSITION_TYPE MC_HORIZONTAL_POSITION
    Horizontal position

  - ### MC_VERTICAL_POSITION

    public static final HighLevelMonitorConfigurationAPI.MC_POSITION_TYPE MC_VERTICAL_POSITION
    Vertical position

- ## Method Details

  - ### values

    public static HighLevelMonitorConfigurationAPI.MC_POSITION_TYPE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HighLevelMonitorConfigurationAPI.MC_POSITION_TYPE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null